Bug 463229 - Review Request: ACE Banners Module
Review Request: ACE Banners Module
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 12:56 EDT by Bryan Kearney
Modified: 2008-10-02 15:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-02 15:12:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2008-09-22 12:56:20 EDT
Spec URL: http://bkearney.fedorapeople.org/ace-banners.spec
SRPM URL: http://bkearney.fedorapeople.org/ace-banners-0.0.3-2.fc9.src.rpm
Description: Banners module for the Appliance Configuration Enging (see https://bugzilla.redhat.com/show_bug.cgi?id=463226)
Comment 1 Bill Nottingham 2008-09-23 16:05:18 EDT
Is there a better way to package puppet recipes than this? It seems having umpteen subpackages isn't the way to go.
Comment 2 Bryan Kearney 2008-09-23 16:23:56 EDT
I would be happy to discuss real time to find on. The goal is to have the appliance ship with all the correct packages, and not have to call home at initial start up. For that reason, puppet is not used to require packages.. the spec file is. So each subpackage will have a puppet module, and a set of requires.
Comment 3 Bill Nottingham 2008-09-23 16:40:46 EDT
Right, but...

- You've got these weird puppet modules that have initimate knowledge of the configuration details of their apps (file locations, etc.). Why not package them in some form with the app itself? How much will they need changed if the apps themselves change?

- A separate source package for every single module you may want in a appliance sounds like bloat. Are they really intended to be released independently?
Comment 4 Bryan Kearney 2008-09-24 09:28:55 EDT
Updated the packages per the review of the ace pakacge

Spec URL: http://bkearney.fedorapeople.org/ace-banners.spec
SRPM URL: http://bkearney.fedorapeople.org/ace-banners-0.0.3-3.fc9.src.rpm

rpmlint clean
koji build clean
Comment 5 Bryan Kearney 2008-10-02 15:12:28 EDT
Combining this package into https://bugzilla.redhat.com/show_bug.cgi?id=463226 as a subpackage.

Note You need to log in before you can comment on or make changes to this bug.